[ACT][PATCH] UBUNTU: SAUCE: ubuntu_ltp_syscalls: skip inotify07 for kernels older than 4.13

Kleber Sacilotto de Souza kleber.souza at canonical.com
Tue Sep 17 11:56:30 UTC 2019


BugLink: https://bugs.launchpad.net/bugs/1774387

The issue tested by LTP testcase inotify07 has been fixed by commit:
   31747eda41ef "ovl: hash directory inodes for fsnotify"

>From this upstream commit:

"The reported issue dates back to initial version of overlayfs, but this
patch depends on ovl_inode code that was introduced in kernel v4.13."

Our Xenial 4.4 kernel doesn't have the ovl_inode code, so blacklist this
testcase for kernels older than 4.13.

Signed-off-by: Kleber Sacilotto de Souza <kleber.souza at canonical.com>
---
 ubuntu_ltp_syscalls/testcase-blacklist.yaml | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/ubuntu_ltp_syscalls/testcase-blacklist.yaml b/ubuntu_ltp_syscalls/testcase-blacklist.yaml
index f477f44d..f84d7db3 100644
--- a/ubuntu_ltp_syscalls/testcase-blacklist.yaml
+++ b/ubuntu_ltp_syscalls/testcase-blacklist.yaml
@@ -15,6 +15,9 @@ kernel:
     4.5.0:
         'fanotify07 fanotify07':
             comment: 'fanotify07 will not get fixed < 4.5.0 (lp: 1775165)'
+    4.13.0:
+        'inotify07 inotify07':
+            comment: 'the fix depends on ovl_inode code that was introduced in kernel v4.13 (LP: #1774387)'
     5.2.0:
         'copy_file_range02 copy_file_range02':
             comment: 'copy_file_range02 will not get fixed < 5.2.0 (https://lwn.net/Articles/774114)'
-- 
2.17.1




More information about the kernel-team mailing list